Bug 449945 - Guest OS install causes host machine to crash
Guest OS install causes host machine to crash
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.3
All Linux
urgent Severity high
: rc
: ---
Assigned To: Chris Lalancette
Martin Jenner
: ZStream
Depends On: 443779
Blocks: 449772 RHEL5u3_relnotes 455768
  Show dependency treegraph
 
Reported: 2008-06-04 08:31 EDT by Chris Lalancette
Modified: 2010-10-22 21:42 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Using Virtualization on a machine with a large number of CPUs may have caused the hypervisor to crash during guest installation. In this update, this issue has been resolved.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:35:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 RHEL Product and Program Management 2008-06-09 17:57:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2008-07-30 20:49:28 EDT
in kernel-2.6.18-101.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 Ryan Lerch 2008-11-06 17:55:23 EST
This bug has been marked for inclusion in the Red Hat Enterprise Linux 5.3
Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances cause this bug to present.

Consequence:  What happens when the bug presents.

Fix:   What was done to fix the bug.

Result:  What now happens when the actions or circumstances above occur. (NB:
this is not the same as 'the bug doesn't present anymore')
Comment 11 Chris Lalancette 2008-11-07 03:19:58 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
When running RHEL-5 Virtualization on a machine with a large number of cores, it is possible for the hypervisor to crash during guest installation.  This happens because of a flaw during SMP bootup.

This was fixed by removing the offending code, since it wasn't really being used anyway.  It is now possible to reliably do guest installs on machines with a large number of cores.
Comment 14 Ryan Lerch 2008-11-24 21:58:10 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,3 +1 @@
-When running RHEL-5 Virtualization on a machine with a large number of cores, it is possible for the hypervisor to crash during guest installation.  This happens because of a flaw during SMP bootup.
+Using Virtualization on a machine with a large number of CPUs may have caused the hypervisor to crash during guest installation. In this update, this issue has been resolved.-
-This was fixed by removing the offending code, since it wasn't really being used anyway.  It is now possible to reliably do guest installs on machines with a large number of cores.
Comment 16 errata-xmlrpc 2009-01-20 14:35:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.